Subject: Re: bug#66744: 30.0.50; Emacs crashes when re-dumping into the same dump file another Emacs instance is using

From: Gerd Möllmann <[email-masked]>
Date: Thu, 26 Oct 2023 17:45:49 +0200

Ihor Radchenko <[email-masked]> writes:

> Gerd Möllmann <[email-masked]> writes:
>
>>> 2. ./src/emacs -Q --dump-file="/tmp/emacs-dumped.dmp"
>>
>> I wasn't yet able to reproduce this here, on macOS.
>>
>> The stack trace says it's during mouse-highlighting, so chances are it's
>> not related to the dump in step 3. What happens when you leave out step
>> 3, and just try some mouse-highligting in the Emacs from step 2?
>
> I am running Emacs from step 2 for more than 24 hours by now with normal
> usage.

The linux man page for mmap says, according to Google,

  MAP_PRIVATE
       ...
      It is unspecified whether changes made to the file
      after the mmap() call are visible in the mapped region.

So, if the changes made to the dump file in step 3 are visible in the
mmaped dump file that Emacs from step 2 uses, that would be a bit
suboptimal :-).

I'll leave it to the maintainers to decide if this needs action.